com.independentsoft.exchange

## Enum MailboxType

- java.lang.Object
- - java.lang.Enum<MailboxType>
  - - com.independentsoft.exchange.MailboxType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MailboxType>

      public enum MailboxType
      extends java.lang.Enum<MailboxType>

  Represents the type of mailbox that is represented by the e-mail address.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTACT` Represents a contact in a user's mailbox.
    `GROUP_MAILBOX`
    `IMPLICIT_CONTACT`
    `MAILBOX` Represents a mail-enabled Active Directory object.
    `NONE` Represents an unknown type of mailbox.
    `ONE_OFF`
    `PRIVATE_DISTRIBUTION_LIST` Represents a private distribution list in a user's mailbox.
    `PUBLIC_DISTRIBUTION_LIST` Represents a public distribution list.
    `PUBLIC_FOLDER` Represents a public folder.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MailboxType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MailboxType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAILBOX

          public static final MailboxType MAILBOX

      Represents a mail-enabled Active Directory object.

    - #### PUBLIC_DISTRIBUTION_LIST

          public static final MailboxType PUBLIC_DISTRIBUTION_LIST

      Represents a public distribution list.

    - #### PRIVATE_DISTRIBUTION_LIST

          public static final MailboxType PRIVATE_DISTRIBUTION_LIST

      Represents a private distribution list in a user's mailbox.

    - #### CONTACT

          public static final MailboxType CONTACT

      Represents a contact in a user's mailbox.

    - #### PUBLIC_FOLDER

          public static final MailboxType PUBLIC_FOLDER

      Represents a public folder.

    - #### ONE_OFF

          public static final MailboxType ONE_OFF

    - #### GROUP_MAILBOX

          public static final MailboxType GROUP_MAILBOX

    - #### IMPLICIT_CONTACT

          public static final MailboxType IMPLICIT_CONTACT

    - #### NONE

          public static final MailboxType NONE

      Represents an unknown type of mailbox.

  - ### Method Detail

    - #### values

          public static MailboxType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MailboxType c : MailboxType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MailboxType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null